Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class PopupFactory

    java.lang.Object
      |
      +--javax.swing.PopupFactory

public class PopupFactory
extends Object

`PopupFactory`, as the name implies, is used to obtain instances of `Popup`s. `Popup`s are used to display a `Component` above all other `Component`s in a particular containment hierarchy. The general contract is that once you have obtained a `Popup` from a `PopupFactory`, you must invoke `hide` on the `Popup`. The typical usage is:

       PopupFactory factory = PopupFactory.getSharedInstance();
       Popup popup = factory.getPopup(owner, contents, x, y);
       popup.show();
       ...
       popup.hide();

Since:
  1.4
See Also:
  `Popup`

Constructor Summary
`PopupFactory()`

Method Summary
`Popup` | `getPopup(Component owner, Component contents, int x, int y)` Creates a `Popup` for the Component `owner` containing the Component `contents`.
`static PopupFactory` | `getSharedInstance()` Returns the shared `PopupFactory` which can be used to obtain `Popup`s.
`static void` | `setSharedInstance(PopupFactory factory)` Sets the `AppContext` specific `PopupFactory`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PopupFactory

    public PopupFactory()

Method Detail

### setSharedInstance

    public static void setSharedInstance(PopupFactory factory)

  Sets the `AppContext` specific `PopupFactory`. This will throw an `IllegalArgumentException` if `factory` is null.

  Parameters:
    `factory` - Shared PopupFactory
  Throws:
    `IllegalArgumentException` - if `factory` is null

### getSharedInstance

    public static PopupFactory getSharedInstance()

  Returns the shared `PopupFactory` which can be used to obtain `Popup`s.

  Returns:
    Shared PopupFactory

### getPopup

    public Popup getPopup(Component owner,
                          Component contents,
                          int x,
                          int y)
                   throws IllegalArgumentException

  Creates a `Popup` for the Component `owner` containing the Component `contents`. `owner` is used to determine which `Window` the new `Popup` will parent the `Component` the `Popup` creates to. A null `owner` implies there is no valid parent. `x` and `y` specify the preferred initial location to place the `Popup` at. Based on screen size, or other paramaters, the `Popup` may not display at `x` and `y`.

  Parameters:
    `owner` - Component mouse coordinates are relative to, may be null
    `contents` - Contents of the Popup
    `x` - Initial x screen coordinate
    `y` - Initial y screen coordinate
  Returns:
    Popup containing Contents
  Throws:
    `IllegalArgumentException` - if contents is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.